VARIED_FILLINGS_IS := $(shell seq -w 0 10 100)
VARIED_FILLINGS_JOBS := $(addprefix generated/varied-fillings-, $(addsuffix .json, ${VARIED_FILLINGS_IS}))

all: varied-fillings strong

varied-fillings: ${VARIED_FILLINGS_JOBS}

strong:
	python scripts/gen/strong.py

clean-strong:
	rm -f batch/measurements/strong/*
	rm -f configs/measurements/strong/spheroid*.json

clean:
	rm -f generated/*

clean-logs:
	rm -f logs/*

clean-outs:
	rm -rf /p/scratch/cellsinsilico/paul/nastja-out/*

generated/varied-fillings-%.json: scripts/gen/varied_fillings.py templates/varied-fillings.json
	python scripts/gen/varied_fillings.py $* > $@

.PHONY: varied-fillings strong clean clean-logs clean-outs
